# Copyright 2023 Wong Hoi Sing Edison <hswong3i@pantarei-design.com>
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

%global debug_package %{nil}

Name: python-msgpack
Epoch: 100
Version: 1.0.5
Release: 1%{?dist}
Summary: MessagePack (de)serializer
License: Apache-2.0
URL: https://github.com/msgpack/msgpack-python/tags
Source0: %{name}_%{version}.orig.tar.gz
BuildRequires: fdupes
BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: python-rpm-macros
BuildRequires: python3-Cython0
BuildRequires: python3-devel
BuildRequires: python3-setuptools >= 35.0.2

%description
MessagePack is a binary-based efficient data interchange format that is
focused on high performance. It is like JSON, but very fast and small.

%prep
%autosetup -T -c -n %{name}_%{version}-%{release}
tar -zx -f %{S:0} --strip-components=1 -C .

%build
%py3_build

%install
%py3_install
find %{buildroot}%{python3_sitearch} -type f -name '*.pyc' -exec rm -rf {} \;
fdupes -qnrps %{buildroot}%{python3_sitearch}

%check

%if 0%{?suse_version} > 1500
%package -n python%{python3_version_nodots}-msgpack
Summary: MessagePack (de)serializer
Requires: python3
Provides: python3-msgpack = %{epoch}:%{version}-%{release}
Provides: python3dist(msgpack) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-msgpack = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(msgpack) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-msgpack = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(msgpack) = %{epoch}:%{version}-%{release}

%description -n python%{python3_version_nodots}-msgpack
MessagePack is a binary-based efficient data interchange format that is
focused on high performance. It is like JSON, but very fast and small.

%files -n python%{python3_version_nodots}-msgpack
%license COPYING
%{python3_sitearch}/*
%endif

%if !(0%{?suse_version} > 1500)
%package -n python3-msgpack
Summary: MessagePack (de)serializer
Requires: python3
Provides: python3-msgpack = %{epoch}:%{version}-%{release}
Provides: python3dist(msgpack) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-msgpack = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(msgpack) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-msgpack = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(msgpack) = %{epoch}:%{version}-%{release}

%description -n python3-msgpack
MessagePack is a binary-based efficient data interchange format that is
focused on high performance. It is like JSON, but very fast and small.

%files -n python3-msgpack
%license COPYING
%{python3_sitearch}/*
%endif

%changelog
